wiki:OpenSSL-1

Version 4 (modified by bdubbs@…, 16 years ago) ( diff )

--

OpenSSL

Multilib Instructions

32 Bit

Change [TARGET] to one of the following
     linux-x86_64-32 for AMD 64
     linux-sparcv9 for Sparc
     linux-mipsel for MIPS Little Endian
     linux-mips for MIPS Big Endian

If your architecture is not listed you can follow the standard BLFS instructions at http://www.linuxfromscratch.org/blfs/view/cvs/postlfs/security.html#openssl

N32 - MIPS Only

Patch to allow multilib installations http://www.linuxfromscratch.org/patches/downloads/openssl/openssl-0.9.7i-allow_lib64-1.patch

Patch for MIPS architecture Support http://www.linuxfromscratch.org/patches/downloads/openssl/openssl-0.9.7i-mips_support-1.patch

Install OpenSSL by running the following commands
Change [TARGET] to one of the following
     linux-mipsel-n32 for MIPS Little Endian
     linux-mips-n32 for MIPS Big Endian

patch -Np1 -i ../openssl-0.9.7i-fix_manpages-1.patch
patch -Np1 -i ../openssl-0.9.7i-allow_lib64-1.patch
patch -Np1 -i ../openssl-0.9.7i-mips_support-1.patch
./Configure [TARGET] --openssldir=/etc/ssl --prefix=/usr shared
make MANDIR=/usr/share/man LIBDIR=lib32
make MANDIR=/usr/share/man LIBDIR=lib32 install

64 Bit

Patch to allow multilib installations http://www.linuxfromscratch.org/patches/downloads/openssl/openssl-0.9.7i-allow_lib64-1.patch

Patch for MIPS architecture Support http://www.linuxfromscratch.org/patches/downloads/openssl/openssl-0.9.7i-mips_support-1.patch

Install OpenSSL by running the following commands

Change [TARGET] to one of the following
     linux-x86_64-64 for AMD 64
     linux64-sparcv9 for Sparc
     linux-mips64el for MIPS Little Endian
     linux-mips64 for MIPS Big Endian
 
patch -Np1 -i ../openssl-0.9.7i-fix_manpages-1.patch
patch -Np1 -i ../openssl-0.9.7i-allow_lib64-1.patch
patch -Np1 -i ../openssl-0.9.7i-mips_support-1.patch (Only need for MIPS)
./Configure [TARGET] --openssldir=/etc/ssl --prefix=/usr shared
make MANDIR=/usr/share/man LIBDIR=lib64
make MANDIR=/usr/share/man LIBDIR=lib64 install

Up
Top

Note: See TracWiki for help on using the wiki.